#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EHitGroup {
    Generic = 0,
    Head = 1,
    Chest = 2,
    Stomach = 3,
    LeftArm = 4,
    RightArm = 5,
    LeftLeg = 6,
    RightLeg = 7,
    Gear = 8,
    Miss = 9,
}

impl EHitGroup {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::Generic as i32 => Some(Self::Generic),
            x if x == Self::Head as i32 => Some(Self::Head),
            x if x == Self::Chest as i32 => Some(Self::Chest),
            x if x == Self::Stomach as i32 => Some(Self::Stomach),
            x if x == Self::LeftArm as i32 => Some(Self::LeftArm),
            x if x == Self::RightArm as i32 => Some(Self::RightArm),
            x if x == Self::LeftLeg as i32 => Some(Self::LeftLeg),
            x if x == Self::RightLeg as i32 => Some(Self::RightLeg),
            x if x == Self::Gear as i32 => Some(Self::Gear),
            x if x == Self::Miss as i32 => Some(Self::Miss),
            _ => None,
        }
    }
}
